Saltar al contenido principal

Companies

Manage companies in the system.

List Companies

Retrieve a list of all companies.

Endpoint: GET /public/v2/companies

curl -X GET "https://api.biosensei.io/public/v2/companies" \
-H "Authorization: Bearer <token>"

Get Company

Retrieve a specific company by ID.

Endpoint: GET /public/v2/companies/:id

curl -X GET "https://api.biosensei.io/public/v2/companies/4" \
-H "Authorization: Bearer <token>"

Create Company

Create a new company.

Endpoint: POST /public/v2/companies

curl -X POST "https://api.biosensei.io/public/v2/companies" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Acme Corp",
"code": "ACME"
}'

Parameters

NameTypeRequiredDescription
namestringYesThe name of the company.
codestringYesA unique code for identification.

Update Company

Update an existing company.

Endpoint: PUT /public/v2/companies/:id

curl -X PUT "https://api.biosensei.io/public/v2/companies/9" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Acme Corp Updated",
"code": "ACME_UPDATED"
}'